{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html lang ="en"></html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<title>
  {% block title %} {{ recipe_object.title }} - Scrumptious recipes{% endblock title %}
</title>
<link rel="stylesheet" href="{% static "css/recipes.css" %}">
</head>
<body>
  {% block content %}
    <header>
        <nav>
            <a href="{% url "recipe_list" %}">Main page</a>
            <a href="{% url "edit_recipe" recipe_object.id %}">Edit recipe </a>
        </nav>
    </header>
<main>
    <h1>{{ recipe_object.title }}</h1>
    <img src="{{ recipe_object.picture }}">
    <div>Cost: {{ recipe_detail.cost }}</div>
    <div>Difficulty: {{ recipe_detail.difficulty }}</div>
    <div>Nutrition: {{ recipe_detail.nutrition }}</div>
    <form method="post">
      {% csrf_token %}
      {{ form.difficulty }}
      <button type="submit">Update Details</button>
  </form>
    <div>4.3 stars</div>
    <p>{{ recipe_object.description }}</p>
    <h2>Ingredients</h2>
    <table class="ingredients-table">
      <thead>
        <tr>
          <th>Amount</th>
          <th>Food item</th>
        </tr>
      </thead>
    <tbody>
      {% for ingredient in recipe_object.ingredients.all %}
        <tr>
          <td>{{ ingredient.amount }}</td>
          <td>{{ ingredient.food_item }}</td>
        </tr>
        {% endfor %}
    </tbody>
    </table>
    <h2>Steps</h2>
    <ol>
      {% for step in recipe_object.steps.all %}
        <li>{{ step.instruction }}</li>
      {% endfor %}
    </ol>
  </main>
  {% endblock content %}
</body>
</html>
